/*
 * Quimeleon - a themeable quiz engine
 * Copyright © 2006  Aike Reyer <aike@users.sourceforge.net>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef QUIMELEON_DATA_DIRS_EDITOR_H
#define QUIMELEON_DATA_DIRS_EDITOR_H

#include <gtkmm/box.h>
#include <gtkmm/buttonbox.h>
#include <gtkmm/button.h>

#include "configuration.h"
#include "list_view_text.h"






namespace quimeleon {


class DataDirsEditor : public Gtk::HBox
{
public:
	DataDirsEditor(Configuration* configuration);
	inline ListViewText& list_view() throw() { return _list_view_text; }
	inline Gtk::VButtonBox& button_box() throw() { return _button_box; }

	std::vector<std::string> data_dirs() const;

protected:
	void add_dir();
	void remove_dir();
	void browse_dir();
	void move_up_dir();
	void move_down_dir();
	void enable_edit(bool do_enable);


private:
	Glib::ustring select_folder(const Glib::ustring& dir);


private:
	Configuration* _configuration;

	ListViewText _list_view_text;
	Gtk::VButtonBox _button_box;

	Glib::RefPtr<Gtk::TreeView::Selection> _selection;

	Gtk::Button _button_add;
	Gtk::Button _button_remove;
	Gtk::Button _button_browse;
	Gtk::Button _button_up;
	Gtk::Button _button_down;

};



} // end namespace quimeleon



#endif
