/*
 * Quimeleon - a themeable quiz engine
 * Copyright © 2005  Aike Reyer <aike@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef QUIMELEON_ITEM_AREA_H
#define QUIMELEON_ITEM_AREA_H

#include "item_label.h"
#include "item_func.h"




namespace quimeleon {





class ItemArea : public ItemFunc
{
public:
	ItemArea(const Item* parent = 0,
		const Glib::ustring& id = "", item_type_t type = T_area,
		bool is_visible = false);

	void show();
	void redraw();
	void hide();

	const std::map<const Glib::ustring, ItemArea*>& areas() const;
};





} // end namespace quimeleon




#endif
