/*
 * Quimeleon - a themeable quiz engine
 * Copyright © 2005  Aike Reyer <aike@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef QUIMELEON_ITEM_MULTI_H
#define QUIMELEON_ITEM_MULTI_H

#include "error.h"

#include "item_func.h"




namespace quimeleon {




class ItemMulti : public ItemFunc
{
public:
	ItemMulti(const Item* parent = 0,
		const Glib::ustring& id = "", item_type_t type = T_rect,
		int number = -1);

	inline unsigned int number() const throw() { return _number; }
	class cmp_id
	{
	public:
		inline int operator() (ItemMulti const* a, ItemMulti const* b) const
		{
			return a->_number < b->_number;
		}
	};


private:
	int _number;

	Glib::RefPtr<Gdk::Pixbuf> _bg_pixbuf;
};





} // end namespace quimeleon




#endif
