/*
 * Quimeleon - a themeable quiz engine
 * Copyright © 2005  Aike Reyer <aike@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef QUIMELEON_ITEM_QUESTION_H
#define QUIMELEON_ITEM_QUESTION_H

#include "item_func.h"
#include "item_label.h"




namespace quimeleon {





class ItemQuestion : public ItemFunc
{
public:
	ItemQuestion(const Item* parent = 0,
		const Glib::ustring& id = "", item_type_t type = T_rect);

	void set_text(const Glib::ustring& text, bool do_compose = true);

	ItemQuestion* question() const throw();


private:
	Glib::ustring _text;

	ItemLabel* _text_item;
};





} // end namespace quimeleon




#endif
